
QGIS Application - Bug report #10154

Use pysqlite2 instead of pyspatialite for SpatiaLite connection in DB Manager

2014-05-02 06:04 AM - Ivan Mincik

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.2.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18611

Description

Starting from SpatiaLite 4 it is recommended to use SQLite loadable extensions instead of pyspatialite for connecting to SpatiaLite DB.

Here is my patch:

https://github.com/imincik/QGIS/commit/4f20e17a20a893ade3bef7935163b936fed4d18c

History

#1 - 2014-05-03 02:51 AM - Paolo Cavallini

- Assignee deleted (Giuseppe Sucameli)

#2 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2016-12-28 09:49 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Should be fixed in master
